For the complete documentation index, see llms.txt. This page is also available as Markdown.

Messaging Templates

Resolve template

post

The request allows to resolve the selected message template. The response will include the entire text of the message, as well as the data that is substituted into the variables inside this template.

resolverServiceType - possible values: EMAIL, CHAT, SMS, WHATSAPP

templateName - name of the message template, which can be viewed in the Designer

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

resolverServiceTypestringRequired

resolverServiceType path parameter

templateNamestringRequired

templateName path parameter

Responses
200

Resolved template content

application/json
resolvedTextstring · nullableOptional
resolvedEmailEditorJsonstring · nullableOptional
textTypestring · enumOptionalPossible values:
subjectstring · nullableOptional
post/{tenantName}/{instanceName}/patients/{patientId}/{resolverServiceType}/message-templates/resolve/{templateName}
POST /{tenantName}/{instanceName}/patients/{patientId}/{resolverServiceType}/message-templates/resolve/{templateName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "resolvedText": "text",
  "resolvedEmailEditorJson": "text",
  "textType": "PLAIN_TEXT",
  "subject": "text",
  "dataContentVariables": [
    {
      "contentType": "TEXT",
      "variableName": "text",
      "textData": "text",
      "columns": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "structureData": [
        {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      ],
      "separatorType": "DASH",
      "borderType": "SOLID",
      "image": "text",
      "fileType": 1,
      "fileName": "text",
      "width": 1,
      "height": 1
    }
  ]
}

Last updated

Was this helpful?